package org.processmining.models.queueminer.bottleneckfinder;

public class RankedPart  implements Comparable<RankedPart>{
	public String context;
	public int k;
	public double score;
	
	public RankedPart(String context, int k, double score){
		this.context = context;
		this.k = k;
		this.score = score;
	}

	public int compareTo(RankedPart rp) {
		return Double.compare(this.score, rp.score);
	}
	
	public String getIdentifier(){
		return context+":"+k;
	}
}
