package org.processmining.models.queueminer.distribution;

public class Point implements Comparable<Point>{
	long x;
	long y;
	
	public Point(long x, long y) {
		this.x = x;
		this.y = y;
	}
	
	public long getX(){
		return x;
	}
	
	public long getY(){
		return y;
	}

	public int compareTo(Point point) {
		if(x < point.x){
			return -1;
		}
		else if(x == point.x){
			return 0;
		}
		else{
			return 1;
		}
	}
	
	@Override
	public String toString(){
		return "x:"+x+", y:"+y;
	}
}
