package org.processmining.models.queueminer.utils;

import java.util.ArrayList;
import java.util.List;

import org.deckfour.xes.model.XLog;

public class QueueWithActivities extends Queue{
	ArrayList<TimeActivity> tactivities;

	public QueueWithActivities(XLog xlog, List<String> resources, List<String> activities) {
		super(resources, activities);
		this.tactivities = TimeActivityUtilities.findQueueActivities(xlog, activities);
	}
	
	/**
	 * Returns real data activities 
	 * @return
	 */
	public ArrayList<TimeActivity> getTimeActivities(){
		return tactivities;
	}
}
