package org.processmining.plugins.queueminer.context;

import java.io.File;

import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.models.queueminer.context.ContextInfoParser;
import org.processmining.models.queueminer.context.TimeContext;

@Plugin(name = "Export Context model (XML)", returnLabels = {}, returnTypes = {}, parameterLabels = {
		"Context model", "File" }, userAccessible = true)
@UIExportPlugin(description = "XML files", extension = "xml")
public class ExportContextInfoPlugin {
	@PluginVariant(variantLabel = "Export Context model (XML)", requiredParameterLabels = { 0, 1 })
	public void export(PluginContext context, TimeContext tc, File file) {
		ContextInfoParser.writeTimeContext(tc, file);
	}
}
