package org.processmining.dialogs.queueminer.queueratefinder;


import java.awt.Dimension;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

import org.processmining.confs.queueminer.queueratefinder.QueueRateFinderConfig;


public class QueueRateFinderDialog extends JPanel implements DocumentListener{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	QueueRateFinderConfig qrfc;
	JTextField kField = new JTextField();
	
	public QueueRateFinderDialog(final QueueRateFinderConfig qrfc){
		this.qrfc = qrfc;
		this.setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));
		
		JLabel kFieldLabel = new JLabel("Amount of parts a day is split up in:");
		this.add(kFieldLabel);
		kField.getDocument().addDocumentListener(this);
		kField.getDocument().putProperty("field","updateK");
		kField.setMaximumSize(new Dimension(Integer.MAX_VALUE,20));
		this.add(kField);
	}

	public void changedUpdate(DocumentEvent arg0) {
		
	}

	public void insertUpdate(DocumentEvent act) {
		switch(act.getDocument().getProperty("field").toString()){
			case "updateK":
				try{
					int k = Integer.parseInt(kField.getText());
					qrfc.k = k;				}
				catch(Exception e){};
				break;
		}
	}

	public void removeUpdate(DocumentEvent arg0) {
		
	}
}
