package org.processmining.models.queueminer.bottleneckfinder;

import org.processmining.models.queueminer.utils.Queue;

public class RankedQueue implements Comparable<RankedQueue>{
	private Queue queue;
	private double score;
	
	public RankedQueue(Queue q, double score){
		this.queue = q;
		this.score = score;
	}
	
	public Queue getQueue(){
		return queue;
	}
	
	public double getScore(){
		return score;
	}

	public int compareTo(RankedQueue r) {
		return Double.compare(this.score, r.score);
	}
	
	
}
