package org.processmining.models.queueminer.context;

import java.util.ArrayList;

public class ContextItem  implements Comparable<ContextItem>{
	Long time;//time at which context starts being so
	ArrayList<String> identifiers;//identifiers of context
	
	public ContextItem(Long time, ArrayList<String> identifiers) {
		this.time = time;
		this.identifiers = identifiers;
	}
	public Long getTime() {
		return time;
	}
	public ArrayList<String> getIdentifiers() {
		return identifiers;
	}
	public void addIdentifier(String id){
		identifiers.add(id);
	}
	public int compareTo(ContextItem ci) {
		return Long.compare(this.time, ci.time);
	}
}
