package org.processmining.models.queueminer.patternvisualizer;

import java.util.ArrayList;

import org.processmining.models.queueminer.distribution.Point;

public class GranularityFindingUtils {
	static long intervalTime = 7 * 24 * 3600 * 1000;
	static long subTimeMax = 24 * 3600 * 1000;
	//Temporary
	static boolean wantToPrint =false;
	
	/**
	 * Returns the natural interval time
	 * @return
	 */
	public static long getIntervalTime(){
		return intervalTime;
	}
	
	/**
	 * Returns the natural lowest granularity option
	 * @return
	 */
	public static long getMaxSubTime(){
		return subTimeMax;
	}
	
	
	/**
	 * Finds the amount of instances given a certain point set distribution
	 * @param pts
	 * @return
	 */
	public static int findPointListSize(ArrayList<Point> pts){
		int sum = 0;
		for(Point p:pts){
			sum+=p.getY();
		}
		return sum;
	}
}
