package org.processmining.models.queueminer.patternvisualizer;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JPanel;

public class LegendPanel extends JPanel{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@Override public void paintComponent(Graphics g){
		super.paintComponent(g);
		
		final int padding = 5;
		final int blockwidth = 30;
		int heightDone = 0;
		
		Dimension dimension = this.getSize();
		g.setColor(new Color(30,30,100));
		g.fillRect(3, 0, dimension.width-3, dimension.height);
		
		g.setColor(Color.magenta);
		g.fillRect(padding, heightDone+padding, blockwidth, blockwidth);
		g.drawString("Above threshold", blockwidth + 2 * padding, heightDone+padding+g.getFont().getSize());
		heightDone+= padding+blockwidth;
		
		g.setColor(Color.green);
		g.fillRect(padding, heightDone+padding, blockwidth, blockwidth);
		g.drawString("Below threshold", blockwidth + 2 * padding, heightDone+padding+g.getFont().getSize());
		heightDone+= padding+blockwidth;
		
		g.setColor(Color.white);
		g.drawString("Maximum", blockwidth + 2 * padding, heightDone+padding+g.getFont().getSize());
		g.setColor(Color.black);
		g.drawString("Minimum",blockwidth+2*padding, heightDone + padding + g.getFont().getSize()+235);
		for(int i = 255; i > 0; i--){
			g.setColor(colorByNr(i*3));
			g.fillRect(padding, heightDone+padding, blockwidth, 1);
			heightDone++;
		}
	}
	
	private Color colorByNr(int nr){
		int totalCol = nr;
		/*if(node.getK() == 24 || node.getK() == 12){
			System.out.println("value: "+value);
			//System.out.println("totalCol: "+totalCol);
			System.out.println("max: "+max);
		}*/
		int r = totalCol > 255? 255: totalCol;
		int g = 0;
		if(totalCol > 255){
			if(totalCol > 255*2){
				g = 255;
			}
			else{
				g = totalCol-255;
			}
		}
		int b = totalCol > 255*2? totalCol-255*2: 0;
		Color c = new Color(r,g,b);
		return c;
	}
}
