package org.processmining.models.queueminer.utils;

import java.util.ArrayList;

public class MathUtil {
	
	public static int leastCommonMultiple(ArrayList<Integer> numbers){
		int result = numbers.get(0);
		 for(int i = 1; i < numbers.size(); i++){
			 result = lcm(result, numbers.get(i));
		 }
		 return result;
	}
	
	private static int lcm(int a, int b)
	{
	    return a * (b / gcd(a, b));
	}
	
	private static int gcd(int a, int b)
	{
	    while (b > 0)
	    {
	    	int temp = b;
	        b = a % b; // % is remainder
	        a = temp;
	    }
	    return a;
	}
}
